//+------------------------------------------------------------------+
//|                                                       Volume.mq4 |
//|                                Copyright  2009, Victor Nikolaev |
//|                                                    vinin.ucoz.ru |
//+------------------------------------------------------------------+

#property copyright "Copyright  2009, Victor Nikolaev"
#property link      "vinin.ucoz.ru"
//----
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1  Red
#property indicator_color2  Yellow
#property indicator_level1 0

//---- input parameters
extern int Volume.Period=14;
extern int Volume.Mode=0;

//---- buffers
double value0[];
double value1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   //   string short_name;


   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexDrawBegin(0,0);
   SetIndexBuffer(0,value0);

   SetIndexStyle(1,DRAW_LINE);
   SetIndexDrawBegin(1,0);
   SetIndexBuffer(1,value1);

   return(0);
  }
//+------------------------------------------------------------------+
//| Trend                                                         |
//+------------------------------------------------------------------+
int start()
  {
   int i, counted_bars=IndicatorCounted();
   int limit2=Bars-counted_bars;
   int limit1=limit2;
   if (limit2>1) {
      limit1=Bars-1;
      limit2=limit1-Volume.Period;
   }


   for(i=limit1; i>=0; i--) value0[i]=Volume[i];

   for(i=limit2; i>=0; i--) value1[i]=iMAOnArray(value0,0,Volume.Period,0,Volume.Mode,i);

   return(0);
  }
//+------------------------------------------------------------------+